> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/rtb/zh/guang-gao-zhu/exoclick-rtb/bid-response.md).

# ExoClick RTB 出价响应

ExoClick RTB 出价响应可以使用 JSON 和 XML 完成。出价请求的响应应具有以下结构：

## 出价响应对象

| 属性          | 描述                                                                       |
| ----------- | ------------------------------------------------------------------------ |
| id          | 此出价适用的展示对象 ID（字符串）                                                       |
| imgUrl      | 图片 URL（仅适用于 banner 类型）                                                   |
| iconUrl     | 图标 URL（仅适用于 push\_notification 类型，并且必须为请求的尺寸）                            |
| clickUrl    | 广告系列被点击时转发的 URL（适用于 banner 或 push\_notification 类型）                      |
| url         | 广告系列被点击时转发的 URL（仅适用于 popunder 类型）                                        |
| title       | 广告标题（仅适用于 push\_notification 类型）                                         |
| description | 广告描述（仅适用于 push\_notification 类型）                                         |
| value       | CPM 或 CPC 的出价价格（浮点数）                                                     |
| imptrackers | 展示跟踪器，可选（仅适用于 push\_notification 类型）                                     |
| btype       | 计费模型。取值：1 = CPM，2 = CPC。默认值 = 1（整数）。当响应针对 Email Clicks 区域请求时，1 = 智能 CPC。 |
| bUrl        | 计费通知 URL，建议 bUrl 使用 HTTP 而不是 HTTPS                                       |

**注意：**

* **"id"** 属性应与请求中收到的 **"id" 相匹配**.
* **Push Notification** 广告格式可接收采用 CPC 计费模型的出价。 **Direct Link** 格式在用于 **Email Click** 区域请求时也可以。
* 此外，在运行 Push Notification 广告时，只允许一个 **imptracker** URL。
* **bURL** 会在展示或点击发生时调用，具体取决于 btype 字段中的 CPM 或 CPC（默认 CPM）

## 无出价响应

要在不进行实际出价的情况下响应出价请求，应返回 HTTP 响应码 204 “No Content”。

## 向您的端点添加动态令牌

除了通过请求接收的信息之外，您还可以向您的端点添加 **动态令牌** 。这样在查看收到的请求时，您可以快速检测请求的来源。

下面您会找到 ExoClick 使用的最常见令牌：

* **{site\_id}**：显示广告的网站 ID 编号。
* **{zone\_id}**：显示广告的广告位 ID。
* **{src\_hostname}**：发布商提交用于展示广告的网站名称，不包含开头的 HTTP 协议（例如 examplesite.com）。
* **{url}**：发布商在管理面板中提交用于展示广告的网站完整 URL，包括 HTTP 协议（例如 [https://examplesite.com）。注意：此令牌不会显示广告向用户展示时所在的](https://docs.exoclick.com/rtb/zh/guang-gao-zhu/exoclick-rtb/https:/examplesite.com）。注意：此令牌不会显示广告向用户展示时所在的) URL；仅显示在我们平台中注册的 URL。
* **{tags}**：已为该广告展示识别出的关键词列表。
* **{keyword}**：在定向特定关键词的广告系列情况下匹配到的关键词。如果没有匹配项，这将为空。
* **{language}**：访客的语言。
* **{\&empty=204}**：每当您返回无出价响应时，请将其添加到端点。
* **{imp\_id}**：将其添加到端点以接收展示 ID。

如果您需要其他令牌或需要跟踪额外详情，请联系您的客户经理。

## 示例

您可以在我们的 [广告主响应示例页面中找到出价响应的详细示例](/rtb/zh/guang-gao-zhu/exoclick-rtb/exoclick-rtb-advertiser-code-examples.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/rtb/zh/guang-gao-zhu/exoclick-rtb/bid-response.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
